import { EventEmitter, ChangeDetectorRef, OnInit, AfterViewInit } from '@angular/core';
export declare class ButtonComponent implements OnInit, AfterViewInit {
    private ref;
    private pDisabled;
    private initialized;
    isDisabled: boolean;
    color: 'primary' | 'accent' | 'warn' | undefined;
    title: string;
    icon: string;
    width: string;
    size: 'sm' | 'lg';
    tooltip: string;
    set disabled(value: boolean);
    loading: boolean;
    action: EventEmitter<any>;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private onChanges;
    onClick: ($event: any) => void;
}
